org.eclipse.emf.cdo.ui.compare

## Class CDOCompareEditorUtil.Input

- java.lang.Object
- - org.eclipse.core.runtime.PlatformObject
  - - org.eclipse.compare.CompareEditorInput
    - - org.eclipse.emf.compare.ide.ui.internal.editor.AbstractEMFCompareEditorInput
      - - org.eclipse.emf.compare.ide.ui.internal.editor.ComparisonEditorInput
        - - org.eclipse.emf.cdo.ui.compare.CDOCompareEditorUtil.Input

- All Implemented Interfaces:
    ICompareContainer, IPropertyChangeNotifier, IAdaptable, IRunnableContext, IRunnableWithProgress, IEditorInput
  Enclosing class:
    CDOCompareEditorUtil

      public static final class CDOCompareEditorUtil.Input
      extends org.eclipse.emf.compare.ide.ui.internal.editor.ComparisonEditorInput

  Since:
    4.4
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.compare.CompareEditorInput

      `DIRTY_STATE, PROP_SELECTED_EDITION, PROP_TITLE, PROP_TITLE_IMAGE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.compare.Comparison` | `getComparison()`
    `Image` | `getTitleImage()`
    `boolean` | `isOK()`
    `boolean` | `okPressed()`
    `void` | `removePropertyChangeListener(IPropertyChangeListener listener)`
    `void` | `saveChanges(IProgressMonitor monitor)`
    `void` | `setDisposeRunnables(List<Runnable> disposeRunnables)`

    - ### Methods inherited from class org.eclipse.emf.compare.ide.ui.internal.editor.ComparisonEditorInput

      `doPrepareInput`

    - ### Methods inherited from class org.eclipse.emf.compare.ide.ui.internal.editor.AbstractEMFCompareEditorInput

      `cancelPressed, getAdapterFactory, getCompareConfiguration, getEditingDomain, prepareInput`

    - ### Methods inherited from class org.eclipse.compare.CompareEditorInput

      `addCompareInputChangeListener, addPropertyChangeListener, belongsTo, canRunAsJob, contentsCreated, contributeToToolBar, createContents, createContentViewerSwitchingPane, createDiffViewer, createOutlineContents, createStructureInputPane, exists, findContentViewer, findStructureViewer, firePropertyChange, flushLeftViewers, flushRightViewers, flushViewers, getActionBars, getAdapter, getCancelButtonLabel, getCompareResult, getContainer, getContentViewerDescriptor, getImageDescriptor, getMessage, getName, getNavigator, getOKButtonLabel, getPersistable, getSelectedEdition, getServiceLocator, getStructureViewerDescriptor, getTitle, getToolTipText, getWorkbenchPart, handleDispose, isDirty, isEditionSelectionDialog, isLeftSaveNeeded, isRightSaveNeeded, isSaveNeeded, registerContextMenu, removeCompareInputChangeListener, run, run, runAsynchronously, save, setContainer, setContentViewerDescriptor, setDirty, setFocus, setFocus2, setHelpContextId, setLeftDirty, setMessage, setRightDirty, setStatusMessage, setStructureViewerDescriptor, setTitle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getComparison

          public final org.eclipse.emf.compare.Comparison getComparison()

    - #### getTitleImage

          public Image getTitleImage()

      Overrides:
        `getTitleImage` in class `CompareEditorInput`

    - #### setDisposeRunnables

          public void setDisposeRunnables(List<Runnable> disposeRunnables)

    - #### saveChanges

          public void saveChanges(IProgressMonitor monitor)
                           throws CoreException

      Overrides:
        `saveChanges` in class `CompareEditorInput`
      Throws:
        `CoreException`

    - #### isOK

          public boolean isOK()

    - #### okPressed

          public boolean okPressed()

      Overrides:
        `okPressed` in class `CompareEditorInput`

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(IPropertyChangeListener listener)

      Specified by:
        `removePropertyChangeListener` in interface `IPropertyChangeNotifier`
      Overrides:
        `removePropertyChangeListener` in class `CompareEditorInput`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html